<script setup>
import Strassennetz from "./components/Strassennetz.vue";
import { store } from "./store.js";
</script>
<script>
/** ------------------------------------------------------
 * Container der Seite der Musterlösung 
 * @author DigS-Gov Projekt
 * ------------------------------------------------------
 */
export default {
  components: { Strassennetz },
  data() {
    return {
      store,
    };
  },
  mounted() {
    //set the authority gray, which have no data transfer
    store.setGray();
    // Send logs to server if played for the first time
    if (store.alreadyPlayedTilTheEnd == false) {
      var logString = "Musterlösung";

      // actually send logs only if session-id is present (user is part of evaluation)
      if (store.session_id === null || store.session_id === "") {
      } else {
        store.logData(logString);
      }

      store.alreadyPlayedTilTheEnd = true;
    }

    // window.scrollTo(0, 0);
  }
};
</script>

<template>
  <section id="container_strassennetz">
    <Strassennetz page2_active= true />
  </section>
</template>

<style scoped>
#container_strassennetz {
  /** AUSSCHALTEN DER INTERAKTIONEN/ OVERLAY
  opacity: 0.2;
  pointer-events: none;
  /** */
  margin-bottom: 2%;
  width: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}
</style>
